import { DocumentRegistry } from '@jupyterlab/docregistry';
import { INotebookModel } from '@jupyterlab/notebook';
import { NotebookPanel } from '@jupyterlab/notebook';
import { JupyterLabPlugin } from '@jupyterlab/application';
import { IDisposable } from '@phosphor/disposable';
import { WidgetManager, INBWidgetExtension } from './index';
import 'jupyter-js-widgets/css/widgets-base.css';
export declare class NBWidgetExtension implements INBWidgetExtension {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
    /**
     * Register a widget module.
     */
    registerWidget(data: WidgetManager.IWidgetData): void;
    private _registry;
}
/**
 * The widget manager provider.
 */
declare const widgetManagerProvider: JupyterLabPlugin<INBWidgetExtension>;
export default widgetManagerProvider;
